Subject: [Pce] Shepherd Review of draft-ietf-pce-pcep-flowspec

From: <[email-masked]>
Date: Fri, 15 Nov 2019 16:01:35 +0100

Dear authors,

Thank for addressing the comments received during WG LC and RtgDir
reviews. Technically, the I-D looks almost ready.

I still have one pending question, related to section 8.7. (Priorities
and Overlapping Flow Specifications). I understand this section as
"priorities within PCEP-installed flow specs follow the same ordering
rules as BGP-installed flow specs, i.e. [RFC5575]". Let us now look at a
device supporting both protocols to install flow specs:
- Is there an implicit scope associated to each set of flow specs making
them mutually exclusive?
- If both sets can overlap, can we assume that priority rules do not
care about the protocol used to install the flow specs?
Adding a couple of sentences may be enough to clarify that.

Please find below a few additional nits.
------
1. Introduction
---
- The abstract uses "traffic engineered networks", the intro "traffic
engineering networks". I do not have any strong preference, but
consistency would be welcome. (By the way, no hyphen in
"traffic-engineered"?)
- s/to Generalized MPLS (GMPLS) networks/to Generalized MPLS
(GMPLS)-controlled networks/
- s/about the the LSPs/about the LSPs/

- OLD:
   The data flows
   intended for a tunnel can be described using Flow Specification
   Components, and when PCEP is in use for tunnel initiation it makes
   sense for that same protocol to be used to distribute the Flow
   Specification Components that describe what data is to flow on those
   tunnels.
  NEW:
   The data flows
   intended for a tunnel can be described using Flow Specification
   Components; when PCEP is in use for tunnel initiation, it makes
   sense for that same protocol to be used to distribute the Flow
   Specification Components that describe what data is to flow on those
   tunnels.
------
3.2. Elements of Procedure
---
- s/in each case including whether/in each case. This includes whether/
------
6. Flow Filter TLV
---
OLD:
   Only one Flow Filter TLV can be
   present and represents the complete definition of a Flow
   Specification for traffic to be placed on the tunnel indicated by the
   PCEP message in which the PCEP Flow Spec Object is carried.
NEW:
   Only one Flow Filter TLV can be
   present and represents the complete definition of a Flow
   Specification for traffic to be placed on a tunnel; this tunnel is
   indicated by the PCEP message in which the PCEP Flow Spec Object
   is carried.
------
7. Flow Specification TLVs
---
[Page 14]
"Two bit flags (S and G) are defined.  They have the common meanings for
wildcarding in multicast."
-> At least a reference would be appreciated to teach about what
"common" refers to.

[Page 15]
  "if a Multicast Flow
   Specification TLV is received with S bit = 0 and G bit = 1 the
   receiver SHOULD respond"
-> Is there a reason why it is not a MUST?
------
13. Manageability Considerations
---
- s/view the the Flow Specifications/view the Flow Specifications/
- s/implementations MUST support indicating/implementations MUST
indicate/  [Guessing it was wrongly fixed in -06.]
------

Thanks,

Julien

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.

---

From: "Adrian Farrel" <[email-masked]>
Date: Mon, 18 Nov 2019 23:19:48 -0000

Thanks, Julien.

We have received a private communication from someone about the same section so the authors are going to take a little time to try to work over this section. We'll see whether our changes make enough difference to warrant re-polling that section with the WG.

Cheers,
Adrian
--
Bored with reading Interent-Drafts?
Read some fairy stories for adults of all ages instead.
• Tales from the Wood
• More Tales from the Wood
• Tales from Beyond the Wood
• Tales from the Castle
Get them on line https://www.feedaread.com/profiles/8604/
Or buy a signed copy from me by post
*** Stop me in the corridor at IETF-106 to get a copy ***

-----Original Message-----
From: Pce <[email-masked]> On Behalf Of [email-masked]
Sent: 15 November 2019 15:02
To: [email-masked]
Cc: [email-masked]
Subject: [Pce] Shepherd Review of draft-ietf-pce-pcep-flowspec

Dear authors,

- OLD:
   The data flows

[Page 15]
  "if a Multicast Flow

Thanks,

Julien

_______________________________________________
Pce mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/pce